import { asCardStack } from "../components/card-stack";
import { useLanguage } from "../language/context";
import LanguageManager from "../language/manager";

const Links: React.FC = () => {
    const { $ } = useLanguage();

    return <>
        <h2>{$.tr("section.fediverse")}</h2>
        {asCardStack(FEDIVERSE_LINKS($))}

        <h2>{$.tr("section.contact")}</h2>
        {asCardStack(CONTACT_WAYS($))}

        <h2>{$.tr("section.links")}</h2>
        {asCardStack(LINKS($))}
    </>;
}

const FEDIVERSE_LINKS = ($: LanguageManager) => [
    {
        content: $.tr("fediverse.pleroma"),
        icon: "/icons/fediverse/pleroma.svg",
        link: "https://social.sador.me/@boss"
    },
    {
        content: $.tr("fediverse.pixelfed"),
        icon: "/icons/fediverse/pixelfed.svg",
        link: "https://pix.sador.me/boss"
    },
    {
        content: $.tr("fediverse.peertube"),
        icon: "/icons/fediverse/peertube.svg",
        link: "https://tube.sador.me/c/sador"
    }
].map(link => Object.assign(link, { primary: true }));

const CONTACT_WAYS = ($: LanguageManager) => [
    {
        content: $.tr("contact.matrix"),
        icon: "/icons/matrix.svg",
        link: "https://matrix.to/#/@boss:sador.me"
    },
    {
        content: $.tr("contact.signal"),
        icon: "/icons/signal.svg"
    }
];

const LINKS = ($: LanguageManager) => [
    {
        content: $.tr("link.pgp"),
        icon: "/icons/pgp.svg",
        link: "/pgp.asc",
        primary: true
    },
    {
        content: $.tr("link.uptime"),
        icon: "/icons/uptime.svg",
        link: "https://health.sador.me/status/aio"
    },
    {
        content: $.tr("link.email"),
        icon: "/icons/email.svg",
        link: "mailto:contact@sador.me?subject=[sador.me] ..."
    },
    {
        content: $.tr("link.gitea"),
        icon: "/icons/gitea.svg",
        link: "https://git.sador.me"
    },
    {
        content: $.tr("link.instagram"),
        icon: "/icons/instagram.svg",
        disabled: true,
        link: "https://instagram.com/sadorowo"
    }
];

export default Links;