import { render, screen } from "@testing-library/react";
import About from "../sections/about";

test("renders hello text", () => {
  render(<About />);

  const helloElement = screen.getByText(/hello/i);
  expect(helloElement).toBeInTheDocument();
});

describe("all sub-sections of about are visible", () => {
  test("'some facts about me'", () => {
    render(<About />);

    const section = screen.getByText(/some facts about me/i);
    expect(section).toBeInTheDocument();
  })

  test("'i can...'", () => {
    render(<About />);

    const section = screen.getByText(/i can.../i);
    expect(section).toBeInTheDocument();
  })

  test("'my favourite music genres'", () => {
    render(<About />);

    const section = screen.getByText(/my favourite music genres/i);
    expect(section).toBeInTheDocument();
  })

  test("'bands/singers'", () => {
    render(<About />);

    const section = screen.getByText(/bands\/singers/i);
    expect(section).toBeInTheDocument();
  })
})